Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.util.internal.aop
Class ServiceTCCLInterceptor

    java.lang.Object
      org.eclipse.gemini.blueprint.service.util.internal.aop.ServiceTCCLInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

    public class ServiceTCCLInterceptor

extends Object
implements org.aopalliance.intercept.MethodInterceptor

Simple interceptor for dealing with ThreadContextClassLoader(TCCL) management.

Author:
  Hal Hildebrand, Costin Leau

Constructor Summary
`ServiceTCCLInterceptor(ClassLoader loader)` Constructs a new `OsgiServiceTCCLInterceptor` instance.

Method Summary
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceTCCLInterceptor

    public ServiceTCCLInterceptor(ClassLoader loader)

  Constructs a new `OsgiServiceTCCLInterceptor` instance.

  Parameters:
    `loader` - classloader to use for TCCL during invocation. Can be null.

Method Detail

### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `Throwable`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.